Subject: Re: 23.0.60; bug of bytecomp arithmetic operations

From: "Shigeru Fukaya" <[email-masked]>
Date: Sat, 15 Nov 2008 13:04:34 +0900

Hi, Chong,

I agree it's too aggressive. I'd just sought for the best.

> Could you separate out the byte-optimize-*-functions part of the patch?
They are mutually affected. So I'll make and send a patch of
byte-opt.el that includes minimal changes to the latest CVS. It is
necessary because the current byte-opt.el still has problems I
pointed. It will take a few days. 

Is it ok?

Regards,
Shigeru

----- Original Message ----- 
From: "Chong Yidong" <[email-masked]>
To: "Shigeru Fukaya" <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, November 15, 2008 8:10 AM
Subject: Re: 23.0.60; bug of bytecomp arithmetic operations

> Hi Shigeru,
> 
> I've been looking through your changes to byte-opt.el.  They look good,
> but some of the changes are a little too agressive for my tastes, so
> close to pretest.
> 
> Could you separate out the byte-optimize-*-functions part of the patch?
> A mistake in any of these lists could lead to some hard-to-track errors.
> If in doubt, let's simply not perform the optimization for now.  We can
> apply these changes after the release.

----- Original Message ----- 
From: "Chong Yidong" <[email-masked]>
To: "Shigeru Fukaya" <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, November 15, 2008 8:10 AM
Subject: Re: 23.0.60; bug of bytecomp arithmetic operations

> Hi Shigeru,
> 
> I've been looking through your changes to byte-opt.el.  They look good,
> but some of the changes are a little too agressive for my tastes, so
> close to pretest.
> 
> Could you separate out the byte-optimize-*-functions part of the patch?
> A mistake in any of these lists could lead to some hard-to-track errors.
> If in doubt, let's simply not perform the optimization for now.  We can
> apply these changes after the release.